package com.tohi.common.dto;

public class PI_TASK_ITEM {
    String NUM;//巡检项编号
    String DEVICE_PART_NAME;//部件名称
    String PI_ITEM_DESCRIPTION;//巡检内容
    String POINT_NORM;//巡检标准
    String CHECK_METHOD;//检查方法
    String POINT_TYPE;//测点类型
    String PI_TASK_ITEM_RESULT;//结果
    String DOUBLERET;//数值结果
    String XJPERSONID;//巡检人
    String PI_TASK_TIME;//巡检时间
    String PI_TASK_NO;//巡检任务编号
    String STATUS;//状态
    String LOWER_LIMIT;//下限值
    String HIGHER_LIMIT;//上限值
    String REMARK;//备注
    String TASK_NAME;//任务名称
    String ASSETNAME;//设备名称


    public PI_TASK_ITEM(){

    }
    public String getNUM() {
        return NUM;
    }

    public void setNUM(String NUM) {
        this.NUM = NUM;
    }

    public String getDEVICE_PART_NAME() {
        return DEVICE_PART_NAME;
    }

    public void setDEVICE_PART_NAME(String DEVICE_PART_NAME) {
        this.DEVICE_PART_NAME = DEVICE_PART_NAME;
    }

    public String getPI_ITEM_DESCRIPTION() {
        return PI_ITEM_DESCRIPTION;
    }

    public void setPI_ITEM_DESCRIPTION(String PI_ITEM_DESCRIPTION) {
        this.PI_ITEM_DESCRIPTION = PI_ITEM_DESCRIPTION;
    }

    public String getPOINT_NORM() {
        return POINT_NORM;
    }

    public void setPOINT_NORM(String POINT_NORM) {
        this.POINT_NORM = POINT_NORM;
    }

    public String getCHECK_METHOD() {
        return CHECK_METHOD;
    }

    public void setCHECK_METHOD(String CHECK_METHOD) {
        this.CHECK_METHOD = CHECK_METHOD;
    }

    public String getPOINT_TYPE() {
        return POINT_TYPE;
    }

    public void setPOINT_TYPE(String POINT_TYPE) {
        this.POINT_TYPE = POINT_TYPE;
    }

    public String getPI_TASK_ITEM_RESULT() {
        return PI_TASK_ITEM_RESULT;
    }

    public void setPI_TASK_ITEM_RESULT(String PI_TASK_ITEM_RESULT) {
        this.PI_TASK_ITEM_RESULT = PI_TASK_ITEM_RESULT;
    }

    public String getXJPERSONID() {
        return XJPERSONID;
    }

    public void setXJPERSONID(String XJPERSONID) {
        this.XJPERSONID = XJPERSONID;
    }

    public String getPI_TASK_TIME() {
        return PI_TASK_TIME;
    }

    public void setPI_TASK_TIME(String PI_TASK_TIME) {
        this.PI_TASK_TIME = PI_TASK_TIME;
    }

    public String getPI_TASK_NO() {
        return PI_TASK_NO;
    }

    public void setPI_TASK_NO(String PI_TASK_NO) {
        this.PI_TASK_NO = PI_TASK_NO;
    }

    public String getSTATUS() {
        return STATUS;
    }
    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getDOUBLERET() {
        return DOUBLERET;
    }

    public void setDOUBLERET(String DOUBLERET) {
        this.DOUBLERET = DOUBLERET;
    }

    public String getLOWER_LIMIT() {
        return LOWER_LIMIT;
    }

    public void setLOWER_LIMIT(String LOWER_LIMIT) {
        this.LOWER_LIMIT = LOWER_LIMIT;
    }

    public String getHIGHER_LIMIT() {
        return HIGHER_LIMIT;
    }

    public void setHIGHER_LIMIT(String HIGHER_LIMIT) {
        this.HIGHER_LIMIT = HIGHER_LIMIT;
    }

    public String getREMARK() {
        return REMARK;
    }

    public void setREMARK(String REMARK) {
        this.REMARK = REMARK;
    }

    public String getTASK_NAME() {
        return TASK_NAME;
    }

    public void setTASK_NAME(String TASK_NAME) {
        this.TASK_NAME = TASK_NAME;
    }

    public String getASSETNAME() {
        return ASSETNAME;
    }

    public void setASSETNAME(String ASSETNAME) {
        this.ASSETNAME = ASSETNAME;
    }

    @Override
    public String toString() {
        return "PI_TASK_ITEM{" +
                "NUM='" + NUM + '\'' +
                ", DEVICE_PART_NAME='" + DEVICE_PART_NAME + '\'' +
                ", PI_ITEM_DESCRIPTION='" + PI_ITEM_DESCRIPTION + '\'' +
                ", POINT_NORM='" + POINT_NORM + '\'' +
                ", CHECK_METHOD='" + CHECK_METHOD + '\'' +
                ", POINT_TYPE='" + POINT_TYPE + '\'' +
                ", PI_TASK_ITEM_RESULT='" + PI_TASK_ITEM_RESULT + '\'' +
                ", DOUBLERET='" + DOUBLERET + '\'' +
                ", XJPERSONID='" + XJPERSONID + '\'' +
                ", PI_TASK_TIME='" + PI_TASK_TIME + '\'' +
                ", PI_TASK_NO='" + PI_TASK_NO + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", LOWER_LIMIT='" + LOWER_LIMIT + '\'' +
                ", HIGHER_LIMIT='" + HIGHER_LIMIT + '\'' +
                ", REMARK='" + REMARK + '\'' +
                ", TASK_NAME='" + TASK_NAME + '\'' +
                ", ASSETNAME='" + ASSETNAME + '\'' +
                '}';
    }
}
